### Method

# Foundry LlmMessage dup_role

#### Declaration [src]

    char*
    foundry_llm_message_dup_role (
      FoundryLlmMessage* self
    )

#### Description [src]

The role of the message such as “system”, “user”, “assistant”, or “tool”.

#### Return value

Type: `char*`

The role as a string.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.